#
# spec file for package gmtk
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define gmlibsoname 1
%define gmlibbaselibname libgmlib
%define gmliblibname %{gmlibbaselibname}%{gmlibsoname}
%define gmtksoname 1
%define gmtkbaselibname libgmtk
%define gmtklibname %{gmtkbaselibname}%{gmtksoname}

Name:           gmtk
Version:        1.0.8
Release:        1.7
Summary:        Library of common functions and widgets for gnome-mplayer and gecko-mediaplayer
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://code.google.com/p/gmtk/
Source0:        http://gmtk.googlecode.com/files/gmtk-%{version}.tar.gz
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRequires:  alsa-devel
BuildRequires:  glib2-devel
BuildRequires:  glib2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libpulse-devel
BuildRequires:  libpulse-devel
BuildRequires:  xorg-x11-libX11-devel

%description
Library of common functions and widgets for gnome-mplayer and gecko-mediaplayer.

%package -n %{gmliblibname}
Summary:        A set of functions that support non-graphical operations
Group:          System/Libraries

%description -n %{gmliblibname}
A set of functions that support non-graphical operations.

%package -n %{gmlibbaselibname}-devel
Summary:        Development files for %{gmlibbaselibname}
Group:          Development/Libraries/C and C++
Requires:       %{gmliblibname} = %{version}

%description -n %{gmlibbaselibname}-devel
Headers and libraries to program against %{gmlibbaselibname}.

%package -n %{gmtklibname}
Summary:        A set of gtk widgets to use with gnome-mplayer
Group:          System/Libraries

%description -n %{gmtklibname}
A set of gtk widgets to use with gnome-mplayer.

%package -n %{gmtkbaselibname}-devel
Summary:        Development files for %{gmtkbaselibname}
Group:          Development/Libraries/C and C++
Requires:       %{gmtklibname} = %{version}

%description -n %{gmtkbaselibname}-devel
Headers and libraries to program against %{gmtkbaselibname}.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static \
           --docdir=%{_defaultdocdir}/%{gmliblibname}
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/%{gmlibbaselibname}.la
rm %{buildroot}%{_libdir}/%{gmtkbaselibname}.la
rm %{buildroot}%{_defaultdocdir}/%{gmliblibname}/README
rm %{buildroot}%{_defaultdocdir}/%{gmliblibname}/AUTHORS
rm %{buildroot}%{_defaultdocdir}/%{gmliblibname}/NEWS
rm %{buildroot}%{_defaultdocdir}/%{gmliblibname}/INSTALL
%find_lang %{name}

%post -n %{gmliblibname} -p /sbin/ldconfig

%postun -n %{gmliblibname} -p /sbin/ldconfig

%post -n %{gmtklibname} -p /sbin/ldconfig

%postun -n %{gmtklibname} -p /sbin/ldconfig

%files -n %{gmliblibname}
%defattr(0644, root, root, 0755)
%doc ChangeLog COPYING
%{_libdir}/%{gmlibbaselibname}.so.%{gmlibsoname}*

%files -n %{gmlibbaselibname}-devel
%defattr(0644, root, root, 0755)
%{_libdir}/%{gmlibbaselibname}.so
%{_includedir}/gmtk
%exclude %{_includedir}/gmtk/gmtk*
%{_libdir}/pkgconfig/gmlib.pc

%files -n %{gmtklibname} -f %{name}.lang
%defattr(0644, root, root, 0755)
%doc ChangeLog COPYING
%{_libdir}/%{gmtkbaselibname}.so.%{gmtksoname}*

%files -n %{gmtkbaselibname}-devel
%defattr(0644, root, root, 0755)
%{_libdir}/%{gmtkbaselibname}.so
%dir %{_includedir}/gmtk
%{_includedir}/gmtk/gmtk*
%{_libdir}/pkgconfig/gmtk.pc

%changelog
* Wed Mar  6 2013 reddwarf@opensuse.org
- Update to 1.0.8
* Fri Nov 16 2012 reddwarf@opensuse.org
- Update to 1.0.7
* Sat Sep 22 2012 reddwarf@opensuse.org
- Add gmtk-1.0.6-parallel_build.patch
* Tue Apr 10 2012 reddwarf@opensuse.org
- Update to 1.0.6
* Tue Feb 14 2012 reddwarf@opensuse.org
- Initial package
